host_tensor.h File Reference

HostTensor contributes management for both host and device memory. More...

`#include <vector>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/matrix_traits.h"`
`#include "cutlass/tensor_ref.h"`
`#include "cutlass/tensor_view.h"`
`#include "device_memory.h"`
Include dependency graph for host_tensor.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::HostTensor< Element_, Layout_ >
| Host tensor. More...

## Namespaces

| cutlass

## Detailed Description

HostTensor allocates host and device memory upon construction. Basic element-wise operations on host memory synchronize device memory automatically. Explicit copy operations provide abstractions for CUDA memcpy operations.

Call {host, device}_{data, ref, view}() for accessing host or device memory.

See cutlass/tensor_ref.h and cutlass/tensor_view.h for more details.